Bug 195959 - Kernel crashes when attempting migration of guest domain
Kernel crashes when attempting migration of guest domain
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
5
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Xen Maintainance List
Virtualization Bugs
:
Depends On:
Blocks: 179629
  Show dependency treegraph
 
Reported: 2006-06-19 18:13 EDT by Arun Babu
Modified: 2009-12-14 15:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 18:11:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dump showing the error message while destination host dies (6.76 KB, text/plain)
2006-06-19 18:13 EDT, Arun Babu
no flags Details

  None (edit)
Description Arun Babu 2006-06-19 18:13:24 EDT
Description of problem:
 - Two nodes have been configured to run the xen hypervisor (version given below). 
 ( Configuration: Dual Core AMD Opteron(tm) Processor 265)
 - No problem booting up xen on the nodes & creating guest domains(FC5 guest)
 - When attempting a migration of guest, the destination domain crashes with
message:
Kernel BUG at arch/x86_64/mm/fault-xen.c:292
invalid opcode: 0000 [1] SMP
CPU 0
Modules linked in: x_tables bridge ipv6 autofs4 nfs lockd nfs_acl sunrpc dm_mirr
or dm_mod video button battery ac lp parport_pc parport nvram ohci_hcd sg e100 m
ii tg3 hw_random i2c_amd8111 i2c_amd756 i2c_core ext3 jbd sata_sil libata sd_mod
 scsi_mod
:
:
(Full message is attached)

 
Version-Release number of selected component (if applicable):
Host domain in both nodes: 2.6.16-1.2133_FC5xen0
Xen hypervisor : xen-3.0.2-0.FC5.3

How reproducible: Everytime


Steps to Reproduce:
1.Boot up xen on 2 nodes
2.Create guest domains
3.Attempt migration with: xm migrate --live VM1 <dest IP>
  
Actual results:
The destination host machine crashes with the message as attached
(captured by attaching serial console)

Expected results:
Guest domain should migrate to the destination

Additional info:
A similar bug was noted : Bugzilla Bug 184378 (But the modules linked are
different in this bug)
Comment 1 Arun Babu 2006-06-19 18:13:24 EDT
Created attachment 131160 [details]
Dump showing the error message while destination host dies
Comment 2 Stephen Tweedie 2007-03-16 11:05:38 EDT
Is this still reproducible on the latest stable release+updates?  Thanks.
Comment 3 Red Hat Bugzilla 2007-07-24 21:31:54 EDT
change QA contact
Comment 4 Chris Lalancette 2008-02-26 18:11:02 EST
This report targets FC5, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks

Note You need to log in before you can comment on or make changes to this bug.